# Copyright 2021- Le Filament (https://le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResUsers(models.Model):
    _inherit = "res.users"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    order_second_ids = fields.Many2many(
        comodel_name="sale.order",
        column1="user_id",
        column2="order_id",
        string="Commandes",
        copy=False,
    )
    invoice_second_ids = fields.Many2many(
        comodel_name="account.move",
        column1="user_id",
        column2="invoice_id",
        string="Factures",
        copy=False,
    )
